[PATCH] osmo-ci[master]: jenkins: Follow the convention and create a jenkins.sh as well

Harald Welte gerrit-no-reply at lists.osmocom.org
Mon Oct 23 18:20:58 UTC 2017


Hello Neels Hofmeyr,

I'd like you to reexamine a change.  Please visit

    https://gerrit.osmocom.org/3676

to look at the new patch set (#2).

jenkins: Follow the convention and create a jenkins.sh as well

Instead of modifying the job on Jenkins, let's do it like in our
other projects. Create the diretcory if it doesn't exist and use
git pull origin for the Debian9 system.

Change-Id: I0ecdc02e3271fe09980f370167277370c599fcfa
---
A contrib/jenkins.sh
1 file changed, 12 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/76/3676/2

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..5930c81
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci)
+git rev-parse HEAD
+git status
+
+git fetch && git checkout -f -B master origin/master
+
+git rev-parse HEAD
+git status

-- 
To view, visit https://gerrit.osmocom.org/3676
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: I0ecdc02e3271fe09980f370167277370c599fcfa
Gerrit-PatchSet: 2
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: Holger Freyther <holger at freyther.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>


More information about the gerrit-log mailing list